# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_nwc_health
Version: 11.0.1.1
Release: 1%{?dist}
Summary: Nagios plugin to checks the hardware health of switches and routers

License: GPLv2+
URL:     https://labs.consol.de/nagios/check_nwc_health/index.html
Source0: https://labs.consol.de/assets/downloads/nagios/check_nwc_health-%{version}.tar.gz

BuildArch: noarch

BuildRequires: make
Requires:      perl-File-Slurp, perl-JSON-XS

%description
Nagios plugin to checks the hardware health and various interface metrics of
network components like switches and routers.


%prep
%setup -q -n check_nwc_health-%{version}


%build
%configure 
make %{?_smp_mflags}


%install
sed -i "1s/#\!  -w/#\!\/usr\/bin\/perl/" plugins-scripts/check_nwc_health 
install -p -m 755 -D  plugins-scripts/check_nwc_health %{buildroot}/%{_libdir}/nagios/plugins/check_nwc_health


%files
%doc README AUTHORS
%license COPYING

%{_libdir}/nagios/plugins/check_nwc_health


%changelog
* Mon Sep 11 2023 Christian Birk <mail@birkc.de> - 11.0.1.1-1
- new version

* Tue Jun 21 2022 Nuno Dias <Nuno.Dias@gmail.com> - 10.1.0.3-1.ndias
- Version 10.1.0.3
